const SEPARATOR = '&';
export default class ServerRuntimeSerializer {
    static serialize(config) {
        return [config.locale, config.now?.getTime(), config.timeZone].join(SEPARATOR);
    }
    static deserialize(value) {
        const [locale, nowTimestampString, timeZoneValue] = value.split(SEPARATOR);
        return {
            locale,
            // Can be an empty string
            now: nowTimestampString
                ? new Date(parseInt(nowTimestampString))
                : undefined,
            // Can be an empty string
            timeZone: timeZoneValue || undefined
        };
    }
}
//# sourceMappingURL=ServerRuntimeSerializer.js.map